System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

The class is not used directly. Instead, it is used as follows:

By the class while it creates objects from classes that are identified as Web services.

By a Web service or client, including during initialization.

To initialize an object.

By the XML Schema Definition tool (Xsd.exe) while the tool generates XML schemas from types in a run-time assembly file.

By the Web Services Description Language tool (Wsdl.exe) while the tool generates client proxy classes or abstract server classes from a WSDL document.

The class is used for Web services when a service or client specifies:

Literal use, which indicates that the contents of SOAP message parameters and return values (or request and response documents) are literally specified with XML schema definitions.

Non-SOAP implementations of Web services using the HTTP-GET and HTTP-POST operations.

Generates mappings to XML schema element declarations, including literal XML Schema Definition (XSD) message parts in a Web Services Description Language (WSDL) document, for .NET Framework types or Web service method information.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You do not need to create an instance of an object directly.

  Initializes a new instance of the class.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  It is not necessary to create an instance of the class directly.

  Initializes a new instance of the class using the specified default XML namespace.

  The default XML namespace to use for imported type mappings.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  It is not necessary to create an instance of the class directly.

  Initializes a new instance of the class using the specified XML serialization overrides.

  An object that overrides how the class serializes mapped types.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  It is not necessary to create an instance of the class directly.

  Initializes a new instance of the class using the specified XML serialization overrides and default XML namespace.

  An object that overrides how the class serializes mapped types.
  The default XML namespace to use for imported type mappings.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` ``

  The method is called while initializing a Web service or client, or reflecting a Web service. It is not necessary to call it directly.

  The array parameter can consist of any one of the following:

  Web service method input parameters.

  Web service method output parameters, plus the return type, if not void, at index 0.

  SOAP input headers.

  SOAP output headers.

  Generates internal type mappings for information from a Web service method.

  An with mappings to the element parts of a WSDL message definition.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of objects that contain .NET Framework code entities that belong to a Web service method. true if elements that correspond to Web Services Description Language (WSDL) message parts should be enclosed in an extra wrapper element in a SOAP message; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` `` `` To be added.

  Returns internal type mappings using information from a Web service method, and allows you to specify an XML element name, XML namespace, and other options.

  An that contains the mappings.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of objects that contain .NET Framework code entities that belong to a Web service method. true if elements that correspond to Web Services Description Language (WSDL) message parts should be enclosed in an extra wrapper element in a SOAP message; otherwise, false. true if the method is a remote procedure call; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` `` `` `` To be added.

  Returns internal type mappings using information from a Web service method, and allows you to specify an XML element name, XML namespace, and other options.

  An that contains the mappings.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of objects that contain .NET Framework code entities that belong to a Web service method. true if elements that correspond to Web Services Description Language (WSDL) message parts should be enclosed in an extra wrapper element in a SOAP message; otherwise, false. true if the method is a remote procedure call; otherwise, false. true to specify that the generated schema type will be marked with the <xs:anyAttribute> element; otherwise, false.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlMembersMapping `` `` `` `` `` `` `` To be added.

  Generates internal type mappings for information from a Web service method.

  An that contains the mappings.

  An XML element name produced from the Web service method. An XML element namespace produced from the Web service method. An array of objects that contain .NET Framework code entities that belong to a Web service method. true if elements that correspond to Web Services Description Language (WSDL) message parts should be enclosed in an extra wrapper element in a SOAP message; otherwise, false. true if the method is a remote procedure call; otherwise, false. true to specify that the generated schema type will be marked with the <xs:anyAttribute> element; otherwise, false. One of the values. The default is None.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping ``

  It is not necessary to call the method directly.

  Generates a mapping to an XML Schema element for a specified .NET Framework type.

  Internal .NET Framework mapping of a type to an XML Schema element.

  The .NET Framework type for which to generate a type mapping.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` ``

  It is not necessary to call the method directly.

  Generates a mapping to an XML Schema element for a .NET Framework type, using the specified type and namespace.

  Internal .NET Framework mapping of a type to an XML Schema element.

  The .NET Framework type for which to generate a type mapping. The default XML namespace to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` ``

  It is not necessary to call the method directly.

  Generates a mapping to an XML Schema element for a .NET Framework type, using the specified type and attribute.

  An that represents a mapping of a .NET Framework type to an XML Schema element.

  The .NET Framework type for which to generate a type mapping. An attribute that is applied to the type.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.Serialization.XmlTypeMapping `` `` ``

  It is not necessary to call the method directly.

  Generates a mapping to an XML Schema element for a .NET Framework type, using the specified type, attribute, and namespace.

  An that contains the internal .NET Framework mapping of a type to an XML Schema element.

  The .NET Framework type for which to generate a type mapping. An attribute that is applied to the type. The default XML namespace to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  It is not necessary to call the method directly.

  Includes mappings for a type for later use when import methods are invoked.

  The .NET Framework type for which to save type mapping information.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` To be added

  Includes mappings for derived types for later use when import methods are invoked.

  An instance of the class that contains custom attributes derived from the attribute.